Create connection
curl --request POST \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/connections \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {},
"connection_type_id": "b07920f3-5dbc-44da-b650-bd1a9c1f540c",
"created_with_o_auth": true,
"creation_method": "<string>",
"name": "My GitHub Connection"
}
'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/connections"
payload = {
"attributes": {},
"connection_type_id": "b07920f3-5dbc-44da-b650-bd1a9c1f540c",
"created_with_o_auth": True,
"creation_method": "<string>",
"name": "My GitHub Connection"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: {},
connection_type_id: 'b07920f3-5dbc-44da-b650-bd1a9c1f540c',
created_with_o_auth: true,
creation_method: '<string>',
name: 'My GitHub Connection'
})
};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attributes": {},
"connection_type_id": "<string>",
"created_at": 123,
"created_by": "<string>",
"created_with_o_auth": true,
"creation_location": "<string>",
"creation_method": "<string>",
"description": "<string>",
"display_name": "<string>",
"external_id": "<string>",
"full_name": "<string>",
"id": "<string>",
"name": "<string>",
"secret_manager": "<string>",
"status": "<string>",
"tenant_id": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"workspace_id": "<string>"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Connections
Create connection
API endpoint to create a new connection to an external service in Blink.
POST
/
workspace
/
{ws_id}
/
connections
Create connection
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Body
application/json
Connection Data
Response
ok
Show child attributes
Show child attributes
ExternalId mapping to external entity identifier associated with this connection (used on revoke/uninstall events e.g.)
Connection names are unique per tenant as they are used in playbook YAML
Was this page helpful?
⌘I